- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
AL::Math::RigidBodySystemBuilder::Adapter< TD, TB > Class Template Reference

`#include <rigidbodysystembuilder.h>`

## Public Member Functions
| Adapter (Interface< TB > &builder)
virtual | ~Adapter ()
const Config & | config () const
virtual void | addLink (LinkData< TD > link)
virtual void | addStaticFrame (StaticFrameData< TD > sframe)
Public Member Functions inherited from AL::Math::RigidBodySystemBuilder::Interface< TD >
virtual | ~Interface ()
virtual void | addLink (Link link)=0
virtual void | addStaticFrame (StaticFrame sframe)=0
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass, const std::string &new_joint)
void | add (const std::string &parent_body, const std::string &new_body, const AffineCompact3 &H_parent_joint, JointType joint_type, const BodyMass &mass)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new, const std::string &new_static_transform)
void | add (const std::string &parent_frame, const std::string &new_static_frame, const AffineCompact3 &H_parent_new)

## Protected Attributes
Interface< TB > & | _builder

## Additional Inherited Members
Public Types inherited from AL::Math::RigidBodySystemBuilder::Interface< TD >
typedef TD | Scalar
typedef LinkData< Scalar > | Link
typedef Link::BodyMass | BodyMass
typedef BodyMass::Vector3 | Vector3
typedef BodyMass::Matrix3 | Matrix3
typedef StaticFrameData< Scalar > | StaticFrame
typedef StaticFrame::AffineCompact3 | AffineCompact3

## Detailed Description

### template<typename TD, typename TB>
class AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >

Definition at line 168 of file rigidbodysystembuilder.h.

## Constructor & Destructor Documentation

template<typename TD , typename TB >

AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::Adapter | ( | Interface< TB > & | builder | ) |
| inline

Definition at line 170 of file rigidbodysystembuilder.h.

template<typename TD , typename TB >

virtual AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::~Adapter | ( |  | ) |
| inline virtual

Definition at line 171 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename TD , typename TB >

virtual void AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::addLink | ( | LinkData< TD > | link | ) |
| inline virtual

Definition at line 175 of file rigidbodysystembuilder.h.

template<typename TD , typename TB >

virtual void AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::addStaticFrame | ( | StaticFrameData< TD > | sframe | ) |
| inline virtual

Definition at line 179 of file rigidbodysystembuilder.h.

template<typename TD , typename TB >

const Config& AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::config | ( |  | ) | const
| inline virtual

Implements AL::Math::RigidBodySystemBuilder::Interface< TD >.

Definition at line 173 of file rigidbodysystembuilder.h.

## Member Data Documentation

template<typename TD , typename TB >

Interface<TB>& AL::Math::RigidBodySystemBuilder::Adapter< TD, TB >::_builder
| protected

Definition at line 184 of file rigidbodysystembuilder.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h